/* builtins.h -- a list of all commands that are shell builtins.  See
   builtins.c to see where to add more builtins. */

/* Copyright (C) 1987,1991 Free Software Foundation, Inc.

   This file is part of GNU Bash, the Bourne Again SHell.

   Bash is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   Bash is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with Bash; see the file COPYING.  If not, write to the Free
   Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

#include "config.h"

int colon_builtin (), period_builtin (), break_builtin (),
  continue_builtin (), cd_builtin (), echo_builtin (), eval_builtin (),
  exec_builtin (), exit_builtin (), export_builtin (), hash_builtin (),
  pwd_builtin (), read_builtin (), readonly_builtin (), return_builtin (),
  set_builtin (), shift_builtin (), test_builtin (), times_builtin (),
  trap_builtin (), type_builtin (), ulimit_builtin (), umask_builtin (),
  unset_builtin (), wait_builtin (), help_builtin (), enable_builtin (),
  history_builtin (), logout_builtin (), builtin_builtin (),
  command_builtin ();

int declare_builtin (), local_builtin ();

int fc_builtin (), let_builtin (), getopts_builtin ();

#ifdef PUSHD_AND_POPD
int dirs_builtin (), pushd_builtin (), popd_builtin ();
#endif	/* PUSHD_AND_POPD */

#ifdef ALIAS
#include "alias.h"
int alias_builtin (), unalias_builtin ();
#endif	/* ALIAS */

#ifdef JOB_CONTROL
int jobs_builtin (), fg_builtin (), bg_builtin ();
int kill_builtin (), suspend_builtin ();
#endif

/* The thing that we build the array of builtins out of. */
struct builtin {
  char *name;
  Function *function;
  int enabled;
  char *short_doc;
  char *long_doc;
};

extern struct builtin shell_builtins[];
